![shibori-hero](https://cloud.githubusercontent.com/assets/51578/22348697/b9929036-e3da-11e6-9863-10c734b5cf2b.png)

[Shibori](https://en.wikipedia.org/wiki/Shibori) is an HTML/CSS library used across Heroku marketing and web properties such as WWW and Elements Marketplace. View the library at [shibori.herokuapp.com](http://shibori.herokuapp.com)

## Local setup
Run:
```
script/bootstrap
```

To watch for files:
```
yarn serve
```

Before committing changes, compile the dist:
```
yarn dist
```

## Installation in consumer app
`yarn add shibori` or `npm install shibori`

see also: [the operations doc section on Rails](/docs/operations.md#npm-and-rails)


## Development alongside Rails
The Rails app must be [npm-able](/docs/operations.md#npm-and-rails). You can
link to the local repo of shibori using the file designation in your
`package.json`, e.g. `"shibori": "file:../shibori"`.

see also: [the operations doc](/docs/operations.md)


## Pattern lab docs
Shibori uses the [node version](https://github.com/pattern-lab/patternlab-node)
of [Pattern Lab](http://patternlab.io/). You can find documentation in this
repo's [`docs`](/docs) directory.


## Release new version

* note there is more than one way to do this, just please make sure tags are
  created in git and pushed to GitHub

- Run `npm version <type>` where type is `major` (X.0.0), `minor` (0.X.0), or `patch` (0.0.X).
- Run `npm publish` (you must be an collaborator of [Shibori on npmjs.com](https://www.npmjs.com/package/shibori)
- Run `git push --follow-tags`

You can then document the release [via the tags list](https://github.com/heroku/shibori/tags).

## License
Copyright Heroku 2017. All rights reserved.
